﻿* {
  box-sizing:border-box;
}

.google-loader
{
    height: 100px;
    width: 100px;
    position: relative;
    margin: 50px auto;
    -webkit-transform: scale(.5,.5);
    transform: scale(.5,.5);
}
.google-loader .dot {
    position:absolute;
    height:100%;
    width:100%;
    z-index:1;
    border-radius:50px;
    background:#df4a42;
    border-right:0px solid #ffd649;
    border-left:50px solid #df4a42;
    border-top:0px solid transparent;
    border-bottom:0px solid transparent;
    -webkit-animation:flippingAnimation 2s linear infinite;
    animation:flippingAnimation 2s linear infinite;
  }

/* ICONO ANIMADO MENU */

.menuAnimatedIcon {
    width: 25px;
    height: 22.5px;
    position: relative;
    margin: 50px auto;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: .5s ease-in-out;
    -moz-transition: .5s ease-in-out;
    -o-transition: .5s ease-in-out;
    transition: .5s ease-in-out;
    cursor: pointer;
}

.menuAnimatedIcon span {
  display: block;
  position: absolute;
  height: 4px;
  width: 100%;
  background: #AAA;
  border-radius: 9px;
  opacity: 1;
  left: 0;
  -webkit-transform: rotate(0deg);
  -moz-transform: rotate(0deg);
  -o-transform: rotate(0deg);
  transform: rotate(0deg);
  -webkit-transition: .25s ease-in-out;
  -moz-transition: .25s ease-in-out;
  -o-transition: .25s ease-in-out;
  transition: .25s ease-in-out;
}

.menuAnimatedIcon:hover span {
    background: #797878;
}

.menuAnimatedIcon span:nth-child(1) {
  top: 0px;
}

.menuAnimatedIcon span:nth-child(2), .menuAnimatedIcon span:nth-child(3) {
  top: 6px;
}

.menuAnimatedIcon span:nth-child(4) {
  top: 12px;
}

.menuAnimatedIcon.open span:nth-child(1) {
  top: 18px;
  width: 0%;
  left: 50%;
}

.menuAnimatedIcon.open span:nth-child(2) {
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -o-transform: rotate(45deg);
  transform: rotate(45deg);
}

.menuAnimatedIcon.open span:nth-child(3) {
  -webkit-transform: rotate(-45deg);
  -moz-transform: rotate(-45deg);
  -o-transform: rotate(-45deg);
  transform: rotate(-45deg);
}

.menuAnimatedIcon.open span:nth-child(4) {
  top: 18px;
  width: 0%;
  left: 50%;
}

.arrow-up {
  width: 0; 
  height: 0; 
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  
  border-bottom: 5px solid #AAA;
}

.arrow-down {
  width: 0; 
  height: 0; 
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  
  border-top: 5px solid #AAA;
}

.arrow-right {
  width: 0; 
  height: 0; 
  border-top: 5px solid transparent;
  border-bottom: 5px solid transparent;
  
  border-left: 5px solid #AAA;
}

.arrow-left {
  width: 0; 
  height: 0; 
  border-top: 5px solid transparent;
  border-bottom: 5px solid transparent; 
  
  border-right:5px solid #AAA; 
}

@-webkit-keyframes opacity {
  to {
    opacity:0;
  }
}

@-webkit-keyframes flippingAnimation {
  /* RED TO YELLOW */
  0% {
    border-right:0px solid #ffc500;
    display:block;
  }
  12.4% {
    background:#ed726c;
  }
  12.5% {
    border-right:50px solid #ffd649;
    border-left:50px solid #df4a42;
    background:#ffe486;
  }
  24.9% {
    border-right:50px solid #ffd649;
    background:#ffd649;
    border-left:0px solid #d8291f;
    border-top:0px solid transparent;
    border-bottom:0px solid transparent;
  }
  /* Yellow to Green */
  25% {
    border-right:0px solid #ffd649;
    border-left:0px solid #d8291f;
    border-top:50px solid #ffd649;
    border-bottom:0px solid #ffd649;
    background:#ffd649;
  }
  37.4% {
    background:#ffde6e;
  }
  37.5% {
    border-right:0px solid transparent;
    border-left:0px solid transparent;
    border-top:50px solid #ffd649;
    border-bottom:50px solid #28ad6b;
    background:#109f58;
  }
  49.9% {
    border-right:0px solid transparent;
    border-left:0px solid transparent;
    border-top:0px solid #ffd649;
    border-bottom:50px solid #28ad6b;
    background:#28ad6b;
  }
  /* Green to Blue */
  50% {
    border-top:0px solid transparent;
    border-bottom:0px solid transparent;
    border-left:0px solid #377af6;
    border-right:50px solid #28ad6b;
    background:#28ad6b;
  }
  62.4% {
    background:#2abb71;
  }
  62.5% {
    border-top:0px solid transparent;
    border-bottom:0px solid transparent;
    border-left:50px solid #377af6;
    border-right:50px solid #28ad6b;
    background:#518af4;
  }
  74.9% {
    border-top:0px solid transparent;
    border-bottom:0px solid transparent;
    border-left:50px solid #377af6;
    border-right:0px solid #28ad6b;
    background:#377af6;
  }
  /* Blue to Red */
  75% {
    border-top:0px solid #df4a42;
    border-bottom:50px solid #377af6;
    border-left:0px solid transparent;
    border-right:0px solid transparent;
    background:#377af6;
  }
  87.4% {
    background:#316bd7;
  }
  87.5% {
    border-top:50px solid #df4a42;
    border-bottom:50px solid #377af6;
    border-left:0px solid transparent;
    border-right:0px solid transparent;
    background:#f26c65;
  }
  100% {
    border-top:50px solid #df4a42;
    border-bottom:0px solid #377af6;
    border-left:0px solid transparent;
    border-right:0px solid transparent;
    background:#df4a42;
  }
}

@keyframes opacity {
  to {
    opacity:0;
  }
}

@keyframes flippingAnimation {
  /* RED TO YELLOW */
  0% {
    border-right:0px solid #ffc500;
    display:block;
  }
  12.4% {
    background:#ed726c;
  }
  12.5% {
    border-right:50px solid #ffd649;
    border-left:50px solid #df4a42;
    background:#ffe486;
  }
  24.9% {
    border-right:50px solid #ffd649;
    background:#ffd649;
    border-left:0px solid #d8291f;
    border-top:0px solid transparent;
    border-bottom:0px solid transparent;
  }
  /* Yellow to Green */
  25% {
    border-right:0px solid #ffd649;
    border-left:0px solid #d8291f;
    border-top:50px solid #ffd649;
    border-bottom:0px solid #ffd649;
    background:#ffd649;
  }
  37.4% {
    background:#ffde6e;
  }
  37.5% {
    border-right:0px solid transparent;
    border-left:0px solid transparent;
    border-top:50px solid #ffd649;
    border-bottom:50px solid #28ad6b;
    background:#109f58;
  }
  49.9% {
    border-right:0px solid transparent;
    border-left:0px solid transparent;
    border-top:0px solid #ffd649;
    border-bottom:50px solid #28ad6b;
    background:#28ad6b;
  }
  /* Green to Blue */
  50% {
    border-top:0px solid transparent;
    border-bottom:0px solid transparent;
    border-left:0px solid #377af6;
    border-right:50px solid #28ad6b;
    background:#28ad6b;
  }
  62.4% {
    background:#2abb71;
  }
  62.5% {
    border-top:0px solid transparent;
    border-bottom:0px solid transparent;
    border-left:50px solid #377af6;
    border-right:50px solid #28ad6b;
    background:#518af4;
  }
  74.9% {
    border-top:0px solid transparent;
    border-bottom:0px solid transparent;
    border-left:50px solid #377af6;
    border-right:0px solid #28ad6b;
    background:#377af6;
  }
  /* Blue to Red */
  75% {
    border-top:0px solid #df4a42;
    border-bottom:50px solid #377af6;
    border-left:0px solid transparent;
    border-right:0px solid transparent;
    background:#377af6;
  }
  87.4% {
    background:#316bd7;
  }
  87.5% {
    border-top:50px solid #df4a42;
    border-bottom:50px solid #377af6;
    border-left:0px solid transparent;
    border-right:0px solid transparent;
    background:#f26c65;
  }
  100% {
    border-top:50px solid #df4a42;
    border-bottom:0px solid #377af6;
    border-left:0px solid transparent;
    border-right:0px solid transparent;
    background:#df4a42;
  }

}

@font-face {
    font-family: 'Material Icons';
    font-style: normal;
    font-weight: 400;
    src: local('Material Icons'), local('/fonts/MaterialIcons-Regular'), url(/fonts/MaterialIcons-Regular.woff2) format('woff2'), url(/fonts/MaterialIcons-Regular.woff) format('woff'), url(/fonts/MaterialIcons-Regular.ttf) format('truetype');
}

@font-face {
    font-family: 'Glyph Icons';
    font-style: normal;
    font-weight: 400;
    src: local('Glyph Icons'), local('/fonts/glyphicons-halflings-Regular'), url(/fonts/glyphicons-halflings-regular.woff2) format('woff2'), url(/fonts/glyphicons-halflings-regular.woff) format('woff'), url(/fonts/glyphicons-halflings-regular.ttf) format('truetype');
}

.searchBox {
    width: 60%;
    margin: 0 auto;
    text-align: left;
    position: relative;
}

.searchBox .searchPlaceholder {
    border: solid 1px rgb(169, 169, 169);
    border-radius: 2px;
    box-sizing: border-box;
    padding: 2px 4px;
    position: relative;
    cursor: default;
}

.searchBox .searchPlaceholder:hover {
    border-color: gray;
}

.searchBox .searchPlaceholder .arrow-down {
    border-top: 7px solid;
    position: absolute;
    top: 0;
    right: 0;
    margin: 7px 10px;
}

.searchBox .listContent {
    display: none;
    position: absolute;
    background-color: #fff;
    z-index: 10;
    width: 100%;
    border: solid 1px rgb(169, 169, 169);
    border-radius: 2px;
}

.searchBox .listContent input[type="text"] {
    margin: 5px 2.5%;
    width: 95%;
    display: inline-block;
    padding: 5px 10px;
}

.searchBox .listContent ul {
    list-style: none;
    padding: 0;
    margin: 0;
    max-height: 350px;
    overflow: auto;
}

.searchBox .listContent ul li {
    display: list-item;
    width: 100%;
}

.searchBox .listContent ul li:hover {
    background-color: rgb(33,150,243);
    color: #fff;
}

.searchBox .listContent ul li label {
    display: block;
    width: 100%;
    padding: 3px 2.5%;
}

.searchBox .listContent ul li input[type="radio"] {
    display: none;
}